%define		srcname pyraf
%define		with_python3 0
# Note: python3 version doesn't work due to a bug

Name:           python-pyraf
Version:        2.1.7
Release:        1%{?dist}
Summary:        Pythonic interface to IRAF 

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/pyraf
Source0:        http://stsdas.stsci.edu/download/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-d2to1
BuildRequires:  python-setuptools
BuildRequires:  python-stsci-tools
BuildRequires:  libX11-devel
Requires:       python-stsci-tools
Requires:       python-matplotlib
Requires:       tkinter
Requires:       numpy
Requires:       python-ipython


%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-d2to1
BuildRequires:  python3-stsci-tools
Requires:       python3-stsci-tools
Requires:       python3-matplotlib
Requires:       python3-tkinter
Requires:       python3-numpy
Requires:       python3-ipython
%endif # if with_python3

%description
PyRAF is a command language for running IRAF tasks that is based on the Python
scripting language. It gives users the ability to run IRAF tasks in an 
environment that has all the power and flexibility of Python. PyRAF can be
installed along with an existing IRAF installation; users can then choose to
run either PyRAF or the IRAF CL.

PyRAF is part of the stsci_python package of astronomical data analysis tools,
and is a product of the Science Software Branch at the 
Space Telescope Science Institute

NOTE: Requires a working IRAF installation

%if 0%{?with_python3}
%package -n python3-pyraf
Summary:	Pythonic interface to IRAF 

%description -n python3-pyraf
PyRAF is a command language for running IRAF tasks that is based on the Python
scripting language. It gives users the ability to run IRAF tasks in an 
environment that has all the power and flexibility of Python. PyRAF can be
installed along with an existing IRAF installation; users can then choose to
run either PyRAF or the IRAF CL.

PyRAF is part of the stsci_python package of astronomical data analysis tools,
and is a product of the Science Software Branch at the 
Space Telescope Science Institute

NOTE: Requires a working IRAF installation
%endif # with_python3

%prep
%setup -q -n %{srcname}-%{version}
rm -rf lib/%{srcname}.egg-info
rm -rf required_pkgs

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/bin/pyraf $RPM_BUILD_ROOT/usr/bin/python3-pyraf
cd $RPM_BUILD_ROOT/%{python3_sitearch}/pyraf/
ln -s xutilmodule.cpython*.so xutil.so
ln -s sscanfmodule.cpython*.so sscanf.so
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# We want to use the matplotlib graphics
mkdir -p %{buildroot}/etc/profile.d
cat >> %{buildroot}/etc/profile.d/pyraf.sh << EOF
export PYRAFGRAPHICS=matplotlib
EOF
cat >> %{buildroot}/etc/profile.d/pyraf.csh << EOF
setenv PYRAFGRAPHICS matplotlib
EOF

 
%files
%doc LICENSE.txt README
# For noarch packages: sitelib
%{python2_sitearch}/*
%{_bindir}/*
%{_sysconfdir}/profile.d/%{srcname}.*

%if 0%{?with_python3}
%files -n python3-pyraf
%doc LICENSE.txt README
%{python3_sitearch}/*
#%{_bindir}/*
%endif # with_python3

%changelog
* Mon Jan 05 2015 Christian Dersch <chrisdersch@gmail.com> - 2.1.7-1
- initial build
